/**
 * @license
 * Copyright 2017 JBoss Inc
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { Node } from "apicurio-data-models";
import { DocumentService } from "./document.service";
import { Topic } from "apicurio-ts-core";
/**
 * A simple service that tracks the user's current selection in the editor.  The selection
 * is represented as a node path - a full path to a node in the data model.
 */
export declare class SelectionService {
    private documentService;
    private _selectionTopic;
    private _highlightTopic;
    /**
     * C'tor.
     * @param documentService
     */
    constructor(documentService: DocumentService);
    currentSelection(): string;
    selection(): Topic<string>;
    simpleSelect(path: string): void;
    select(path: string): void;
    selectNode(node: Node): void;
    selectRoot(): void;
    reset(): void;
    clearAllSelections(): void;
    reselectAll(): void;
    private clearCurrentSelection;
    highlightPath(path: string): void;
    highlight(): Topic<string>;
}
